function runs = SimRupChavez;
%
% small routine to simulate large subduction events
%
%

mech = 'ds';
src1 = [90 250 8.5];
acf = 'ak';
grd = 'sub';
nexp = 1.5;
corr =  [30 50 0.8]; %corr = [];
taper = [30 30 30];
dip = 90;
depth = 90;
samp = [1 1];

figure
fullpage;

for i = 1:20
    [S,par] = SlipReal(src1,mech,acf,corr,[], ...
              samp,grd,nexp,[],taper,depth,dip,'n','n');
Smaps1{i} = S; 
pars1{i} = par;
ss = subplot(5,4,i); 
imagesc(S); axeqti; 
cc=colorbar('h'); set(ss,'FontS',5); 
set(cc,'FontS',5);
end

runs.slip = Smaps1;
runs.pars = pars1;
