function farrprint(fid,in,par)
%
%	function farrprint(fid,in,'par') is used to
%	write 2D-array as ascii to disk with the option
%	of labeling each row; usually called in a loop
%	over one of the array-dimensions
%	
%	INPUT
%	
%	fid 	- file identifier from earlier call to FOPEN
%	in  	- vector to write to disk
%	'par' 	- optional string for labeling rows 
%
%	mmai, 10/26/99
%	--------------

if nargin < 3, par = ''; end


if isempty(in) ~= 1

k = length(in);

for i = 1:k

   if (i == 1) 
    fprintf(fid,'%s %8.2f',par,in(i));
   elseif ((i < k) & (i > 1))
    fprintf(fid,'%8.2f',in(i));
   elseif (i == k)
    fprintf(fid,'%8.2f\n',in(i));
   end

end;

elseif isempty(in) == 1
  
  fprintf(fid,'%s \n',par);

end
