function [Mw] = fMo2Mw(Mo)
%
%	function [Mw] = fMo2Mw(Mo) calculates the
%	magnitude Mw for a given moment.
%	
%	for reference, see Thorne & Lay, page 384
%
%	mmai, 02/08/98
%	--------------

Mw = (2/3)*(log10(Mo) - 16.05);
